Package tigase.server.xmppserver

## Interface S2SProcessor

- All Superinterfaces:
    `java.lang.Comparable<S2SProcessor>`, `StatisticsProviderIfc`
  All Known Implementing Classes:
    `AuthenticationProcessor`, `Dialback`, `S2SAbstractProcessor`, `SaslExternal`, `StartTLS`, `StartZlib`, `StreamError`, `StreamFeatures`, `StreamOpen`

      public interface S2SProcessor
      extends java.lang.Comparable<S2SProcessor>, StatisticsProviderIfc

  Created: Dec 9, 2010 1:50:09 PM
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `init​(S2SConnectionHandlerIfc<S2SIOService> handler, java.util.Map<java.lang.String,​java.lang.Object> props)` |
    `int` | `order()` | Returns order of processor which is used to set order in which processors will be processing packet
    `boolean` | `process​(Packet p, S2SIOService serv, java.util.Queue<Packet> results)` |
    `void` | `serviceStarted​(S2SIOService serv)` |
    `void` | `serviceStopped​(S2SIOService serv)` |
    `default boolean` | `stopProcessing()` |
    `void` | `streamClosed​(S2SIOService serv)` |
    `void` | `streamFeatures​(S2SIOService serv, java.util.List<Element> results)` |
    `java.lang.String` | `streamOpened​(S2SIOService serv, java.util.Map<java.lang.String,​java.lang.String> attribs)` |

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface tigase.stats.StatisticsProviderIfc

      `getStatistics`

- - ### Method Detail

    - #### order

          int order()

      Returns order of processor which is used to set order in which processors will be processing packet

    - #### serviceStarted

          void serviceStarted​(S2SIOService serv)

    - #### serviceStopped

          void serviceStopped​(S2SIOService serv)

    - #### streamFeatures

          void streamFeatures​(S2SIOService serv,
                              java.util.List<Element> results)

    - #### init

          void init​(S2SConnectionHandlerIfc<S2SIOService> handler,
                    java.util.Map<java.lang.String,​java.lang.Object> props)

    - #### process

          boolean process​(Packet p,
                          S2SIOService serv,
                          java.util.Queue<Packet> results)

    - #### stopProcessing

          default boolean stopProcessing()

    - #### streamClosed

          void streamClosed​(S2SIOService serv)

    - #### streamOpened

          java.lang.String streamOpened​(S2SIOService serv,
                                        java.util.Map<java.lang.String,​java.lang.String> attribs)